import request from '@/utils/request'

// 查询无形资产租借列表
export function listRent(query) {
  return request({
    url: '/asset/rent/list',
    method: 'get',
    params: query
  })
}

// 查询无形资产租借详细
export function getRent(id) {
  return request({
    url: '/asset/rent/get/' + id,
    method: 'get'
  })
}

// 新增无形资产租借
export function addRent(data) {
  return request({
    url: '/asset/rent/add',
    method: 'post',
    data: data
  })
}

// 修改无形资产租借
export function updateRent(data) {
  return request({
    url: '/asset/rent/edit',
    method: 'post',
    data: data
  })
}

// 删除无形资产租借
export function delRent(id) {
  return request({
    url: '/asset/rent/remove/' + id,
    method: 'get'
  })
}

// 导出无形资产租借
export function exportRent(query) {
  return request({
    url: '/asset/rent/export',
    method: 'get',
    params: query
  })
}
